<template>
  <span id="metadataManagerFileInformation">
    <!-- File Name -->
    <CoscineFormGroup :label="$t('page.resource.infoFileName')">
      <div
        id="fileInfoFileName"
        data-toggle="tooltip"
        :title="currentFile.name"
      >
        {{
          !currentFile.name
            ? $t("page.resource.infoFileNoInformation")
            : currentFile.name
        }}
      </div>
    </CoscineFormGroup>

    <!-- Last Modified -->
    <CoscineFormGroup :label="$t('page.resource.infoFileLastModified')">
      {{
        !currentFile.lastModified
          ? $t("page.resource.infoFileNoInformation")
          : new Date(currentFile.lastModified).toLocaleDateString($i18n.locale)
      }}
    </CoscineFormGroup>

    <!-- Uploaded -->
    <CoscineFormGroup :label="$t('page.resource.infoFileCreated')">
      {{
        !currentFile.createdAt
          ? $t("page.resource.infoFileNoInformation")
          : new Date(currentFile.createdAt).toLocaleDateString($i18n.locale)
      }}
    </CoscineFormGroup>

    <!-- File Size -->
    <CoscineFormGroup :label="$t('page.resource.infoFileSize')">
      {{
        currentFile.type === "Leaf"
          ? currentFile.size + " Bytes"
          : $t("page.resource.infoFileNoInformation")
      }}
    </CoscineFormGroup>
  </span>
</template>

<script lang="ts">
import type { FolderContent } from "@/modules/resource/types";

export default defineComponent({
  props: {
    currentFileId: {
      required: true,
      type: Number,
    },
    fileListEdit: {
      required: true,
      type: Array as PropType<FolderContent[]>,
    },
  },
  computed: {
    currentFile(): FolderContent {
      return this.fileListEdit[this.currentFileId];
    },
  },
});
</script>

<style scoped>
#fileInfoFileName {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 384px;
}
#metadataManagerFileInformation :deep(.d-flex) {
  align-items: center;
}
</style>
